import { flags } from '@salesforce/command';
import SfpowerkitCommand from '../../../../sfpowerkitCommand';
import { MetadataSummary } from '../../../../impl/metadata/retriever/metadataSummaryInfoFetcher';
import { PackageDetail } from '../../../../utils/packageUtils';
import { Connection } from 'jsforce';
export default class Tree extends SfpowerkitCommand {
    static description: string;
    static examples: string[];
    protected static flagsConfig: {
        package: flags.Discriminated<flags.String>;
        packagefilter: flags.Discriminated<flags.Boolean<boolean>>;
        showall: flags.Discriminated<flags.Boolean<boolean>>;
        format: flags.Discriminated<flags.Enum<string>>;
        output: flags.Discriminated<flags.String>;
        loglevel: flags.Discriminated<flags.Enum<string>>;
    };
    protected static requiresUsername: boolean;
    protected conn: Connection;
    protected installedPackagesMap: Map<string, PackageDetail>;
    protected dependencyMap: Map<string, string[]>;
    protected metadataMap: Map<string, MetadataSummary>;
    protected output: any[];
    execute(): Promise<any>;
    private getDetailsFromId;
    private generateJsonOutput;
    generateCSVOutput(result: any[], outputDir: string): Promise<void>;
}
