import { flags } from '@salesforce/command';
import SfpowerkitCommand from '../../../../sfpowerkitCommand';
export default class Install extends SfpowerkitCommand {
    static description: string;
    static examples: string[];
    protected static flagsConfig: {
        individualpackage: flags.Discriminated<flags.String>;
        installationkeys: flags.Discriminated<flags.String>;
        branch: flags.Discriminated<flags.String>;
        tag: flags.Discriminated<flags.String>;
        wait: flags.Discriminated<flags.String>;
        noprompt: flags.Discriminated<flags.Boolean<boolean>>;
        updateall: flags.Discriminated<flags.Boolean<boolean>>;
        apexcompileonlypackage: flags.Discriminated<flags.Boolean<boolean>>;
        usedependencyvalidatedpackages: flags.Discriminated<flags.Boolean<boolean>>;
        filterpaths: flags.Discriminated<flags.Array<string>>;
        loglevel: flags.Discriminated<flags.Enum<string>>;
    };
    protected static requiresUsername: boolean;
    protected static requiresDevhubUsername: boolean;
    protected static requiresProject: boolean;
    private tagMap;
    private branchMap;
    execute(): Promise<any>;
    private getPackageVersionDetails;
    private validateVersionNumber;
    private getInstalledPackages;
    private parseKeyValueMapfromString;
}
