import { flags } from '@salesforce/command';
import { AnyJson } from '@salesforce/ts-types';
import SfpowerkitCommand from '../../../sfpowerkitCommand';
export default class Valid extends SfpowerkitCommand {
    static description: string;
    static examples: string[];
    protected static flagsConfig: {
        package: flags.Discriminated<flags.String>;
        bypass: flags.Discriminated<flags.Array<string>>;
        apiversion: flags.Builtin;
        loglevel: flags.Discriminated<flags.Enum<string>>;
    };
    protected static requiresProject: boolean;
    private coverageJSON;
    execute(): Promise<AnyJson>;
    validate(packageToBeScanned: AnyJson): Promise<SFDXPackage>;
    useCustomCoverageJSON(): void;
    isNotDefaultApiVersion(): boolean;
}
export declare class SFDXPackage {
    unsupportedComponents: Component[];
    supportedComponents: Component[];
    typesToBypass: string[];
    packageName: string;
    valid: boolean;
    processed: boolean;
}
interface Component {
    name: string;
    type: string;
}
export {};
