import { flags } from '@salesforce/command';
import { AnyJson } from '@salesforce/ts-types';
import SFPowerkitCommand from '../../../../sfpowerkitCommand';
export default class Diff extends SFPowerkitCommand {
    static description: string;
    static examples: string[];
    protected static flagsConfig: {
        sourcepath: flags.Discriminated<flags.String>;
        targetpath: flags.Discriminated<flags.String>;
        output: flags.Discriminated<flags.String>;
        apiversion: flags.Builtin;
        format: flags.Discriminated<flags.Enum<string>>;
        loglevel: flags.Discriminated<flags.Enum<string>>;
    };
    protected output: any[];
    execute(): Promise<AnyJson>;
    processMainfest(pathToManifest: string): Promise<Map<string, string[]>>;
    compareXML(sourceXml: Map<string, string[]>, targetXml: Map<string, string[]>): any[];
    getdiffList(from: string[], to: string[]): any[];
    addItemsToOutput(itemsToProcess: any[], status: string): void;
    createpackagexml(manifest: any[]): void;
    generateCSVOutput(output: any[]): void;
}
